function varargout = DSP(varargin)

% Developer : Masood Khosroshahy  m.khosroshahy@iee.org

% DSP M-file for DSP.fig
%      DSP, by itself, creates a new DSP or raises the existing
%      singleton*.
%
%      H = DSP returns the handle to a new DSP or the handle to
%      the existing singleton*.
%
%      DSP('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in DSP.M with the given input arguments.
%
%      DSP('Property','Value',...) creates a new DSP or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before DSP_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to DSP_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help DSP

% Last Modified by GUIDE v2.5 26-May-2003 05:16:10

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @DSP_OpeningFcn, ...
                   'gui_OutputFcn',  @DSP_OutputFcn, ...
                   'gui_LayoutFcn',  [] , ...
                   'gui_Callback',   [] );
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before DSP is made visible.
function DSP_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to DSP (see VARARGIN)

% Choose default command line output for DSP
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);


% UIWAIT makes DSP wait for user response (see UIRESUME)
% uiwait(handles.DSP);

logo=imread('logo.jpg');
axes(handles.Logo);
image(logo);
axis off;

yahoo=imread('join.jpg');
axes(handles.yahoo);
image(yahoo);
axis off;


% --- Outputs from this function are returned to the command line.
function varargout = DSP_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;



% --- Executes on button press in help.
function help_Callback(hObject, eventdata, handles)
% hObject    handle to help (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
DSP_Help;

% --- Executes during object creation, after setting all properties.
function projects_popup_CreateFcn(hObject, eventdata, handles)
% hObject    handle to projects_popup (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: popupmenu controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



% --- Executes on selection change in projects_popup.
function projects_popup_Callback(hObject, eventdata, handles)
% hObject    handle to projects_popup (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: contents = get(hObject,'String') returns projects_popup contents as cell array
%        contents{get(hObject,'Value')} returns selected item from projects_popup

val = get(hObject,'Value');
str = get(hObject, 'String');
switch str{val};
case 'Choose one from the list ----- >>'
    handles.selected_project='Choose one from the list ----- >>';
    
case 'DFT using Overlap-Add method' 
    handles.selected_project='DFT using Overlap-Add method';
    
case 'Fourier Transform Properties'
    handles.selected_project='Fourier Transform Properties';
    
case 'System Function Zero-Pole,... Plots'
    handles.selected_project='System Function Zero-Pole,... Plots';
    
case 'UpSampling Properties'
    handles.selected_project='UpSampling Properties';
    
case 'Frequency Transformation of LP IIR Filters'
    handles.selected_project='Frequency Transformation of LP IIR Filters';
    
case 'First Order IIR Equation'
    handles.selected_project='First Order IIR Equation';
    
case 'Circular Convolution for Discrete-Time Signals'
    handles.selected_project='Circular Convolution for Discrete-Time Signals';
    
case 'Linear Convolution for Discrete-Time Signals'
    handles.selected_project='Linear Convolution for Discrete-Time Signals';
    
case 'Periodogram Estimation for Discrete-Time Signals'
    handles.selected_project='Periodogram Estimation for Discrete-Time Signals';
       
end
guidata(hObject,handles)


% --- Executes on button press in execute_project.
function execute_project_Callback(hObject, eventdata, handles)
% hObject    handle to execute_project (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

switch handles.selected_project;
    case 'Choose one from the list ----- >>'
       ;
       
    case 'DFT using Overlap-Add method'  
       overlap_add;
        
    case 'Fourier Transform Properties'
        FT_properties;
        
    case 'System Function Zero-Pole,... Plots'
        Systemfnc;
        
    case 'UpSampling Properties'
        Upsample;
        
    case 'Frequency Transformation of LP IIR Filters'
        filters;
        
    case 'First Order IIR Equation'
        IIR1;
        
    case 'Circular Convolution for Discrete-Time Signals'
        ZZZZ;
        
    case 'Linear Convolution for Discrete-Time Signals'
        XXXX;
        
    case 'Periodogram Estimation for Discrete-Time Signals'
         YYYY;  
       
        
end


% --- Executes on button press in exit.
function exit_Callback(hObject, eventdata, handles)
% hObject    handle to exit (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

close(DSP);


% --- Executes on button press in homepage.
function homepage_Callback(hObject, eventdata, handles)
% hObject    handle to homepage (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
web http://groups.yahoo.com/group/DSPProject-GUI/  -browser   ;
